Please select To the mobile version | Continue to access the desktop computer version

OrangePi

 Login            
 Register            
Search
Hot search: orangepi
12Next
Return to list New
View: 10862|Reply: 11

Install libvdpau-sunxi for video decoding

[Copy link]

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
Post time 2015-12-24 23:18:28 | Show all posts |Read mode
Edited by jacer at 2015-12-27 12:35

Here is a guide on install libvdpau-sunxi  on Debian and Ubuntu for OPI-PC, OPI-Plus/OPI-Plus2, OPI-2/mini 2.
Open terminal and input below commands.
  1. cd ~
  2. wget https://launchpadlibrarian.net/216166259/libvdpau-dev_1.1-1ubuntu1_armhf.deb
  3. wget https://launchpadlibrarian.net/216166260/libvdpau1_1.1-1ubuntu1_armhf.deb
  4. git clone https://github.com/linux-sunxi/libvdpau-sunxi.git
  5. sudo dpkg -i *.deb
  6. cd libvdpau-sunxi
  7. make
  8. sudo make install
  9. sudo ln -s /usr/lib/arm-linux-gnueabihf/vdpau/libvdpau_sunxi.so.1 /usr/lib/libvdpau_nvidia.so
Copy the Code
  1. sudo vi /etc/udev/rules.d/50-disp.rules
Copy the Code
Press i then copy and paste below to the blank window, finish with ESC and input :wq to save.
  1. KERNEL=="disp", MODE="0660", GROUP="video"
Copy the Code
  1. sudo vi /etc/udev/rules.d/50-ion.rules
Copy the Code
Press i then copy and paste below to the blank window, finish with ESC and input :wq to save.
  1. KERNEL=="ion", MODE="0660", GROUP="video"
Copy the Code
  1. sudo vi /etc/udev/rules.d/50-cedar.rules
Copy the Code
Press i then copy and paste below to the blank window, finish with ESC and input :wq to save.
  1. KERNEL=="cedar_dev", MODE="0660", GROUP="video"
Copy the Code
  1. sudo usermod -a -G video $USER
Copy the Code
Compile and install mpv or install compiled from below link.
  1. sudo apt-get install libgme0 libopenal1 libopencore-amrnb0 libopencore-amrwb0 librubberband2 libsoxr0 libssh-4 libuchardet0 libvo-aacenc0 libvo-amrwbenc0
  2. wget http://ftp.us.debian.org/debian/pool/main/libj/libjpeg-turbo/libjpeg62-turbo_1.3.1-12_armhf.deb
  3. sudo dpkg -i libjpeg62*.deb
Copy the Code
  1. wget http://ftp.us.debian.org/debian/pool/main/g/gnutls28/libgnutls-deb0-28_3.3.19-1_armhf.deb
  2. wget http://ftp.us.debian.org/debian/pool/main/l/lcms2/liblcms2-2_2.6-3+b3_armhf.deb
  3. wget http://ftp.us.debian.org/debian/pool/main/o/openjpeg/libopenjpeg5_1.5.2-3_armhf.deb
  4. wget http://ftp.us.debian.org/debian/pool/main/t/twolame/libtwolame0_0.3.13-1.1_armhf.deb
  5. wget http://ftp.us.debian.org/debian/pool/main/libv/libva/libva-x11-1_1.4.1-1_armhf.deb
  6. wget http://ftp.us.debian.org/debian/pool/main/libv/libva/libva1_1.4.1-1_armhf.deb
  7. wget http://ftp.us.debian.org/debian/pool/main/g/gmp/libgmp10_6.0.0+dfsg-6_armhf.deb
  8. wget http://ftp.us.debian.org/debian/pool/main/n/nettle/libhogweed4_3.1.1-4_armhf.deb
  9. wget http://ftp.us.debian.org/debian/pool/main/n/nettle/libnettle6_3.1.1-4_armhf.deb
  10. wget http://ftp.us.debian.org/debian/pool/main/p/p11-kit/libp11-kit0_0.20.7-1_armhf.deb
  11. wget http://ftp.us.debian.org/debian/pool/main/libt/libtasn1-6/libtasn1-6_4.7-2_armhf.deb
  12. wget http://ftp.us.debian.org/debian/pool/main/s/samba/libsmbclient_4.1.17+dfsg-2_armhf.deb
  13. wget http://ftp.us.debian.org/debian/pool/main/libb/libbsd/libbsd0_0.7.0-2_armhf.deb
  14. wget http://ftp.us.debian.org/debian/pool/main/t/talloc/libtalloc2_2.1.1-2_armhf.deb
  15. wget http://ftp.us.debian.org/debian/pool/main/s/samba/samba-libs_4.1.17+dfsg-2_armhf.deb
  16. wget http://ftp.us.debian.org/debian/pool/main/l/ldb/libldb1_1.1.17-2_armhf.deb
  17. wget http://ftp.us.debian.org/debian/pool/main/n/ntdb/libntdb1_1.0-5_armhf.deb
  18. wget http://ftp.us.debian.org/debian/pool/main/t/tevent/libtevent0_0.9.21-1_armhf.deb
  19. wget http://ftp.us.debian.org/debian/pool/main/s/samba/libwbclient0_4.1.17+dfsg-2_armhf.deb
  20. wget http://ftp.us.debian.org/debian/pool/main/t/talloc/python-talloc_2.1.1-2_armhf.deb
  21. sudo apt-get remove libnettle4
  22. sudo dpkg -i *.deb
Copy the Code

mpv 0.13 or mpv 0.13 fritz compiled version
  1. sudo dpkg -i mpv_0.13.0_armhf.deb
Copy the Code
  1. sudo reboot
  2. export VDPAU_DRIVER=sunxi
Copy the Code
All done. You just right click a video file and press mpv Media Player to enjoy your time.

6

Threads

35

Posts

291

Credits

Intermediate member

Rank: 3Rank: 3

Credits
291
Post time 2015-12-26 13:33:17 | Show all posts
u did good , but the subtitle it don't work somehow. *.srt and *.ass no luck, can u give  direction ?

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
 Author| Post time 2015-12-26 14:31:25 | Show all posts
adheybgz replied at 2015-12-26 13:33
u did good , but the subtitle it don't work somehow. *.srt and *.ass no luck, can u give  direction  ...

Use SMplayer.

7

Threads

100

Posts

647

Credits

Senior member

Rank: 4

Credits
647
Post time 2015-12-26 15:37:35 | Show all posts
Edited by john0815 at 2015-12-26 15:45

librubberband2 is not found when I want to install it

and
sudo dpgk -i libjpeg62*.deb

should be changed in

sudo dpkg -i libjpeg62*.deb

and
I get the following message:
dpkg -i mpv_0.13.0_armhf.deb
(Datenbank wird gelesen … 146481 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von mpv_0.13.0_armhf.deb ...
mpv (1:0.13.0) über (0.9.2-1ubuntu2) wird entpackt …
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von mpv:
mpv hängt ab von libgcrypt11 (>= 1.4.5); aber:
  Paket libgcrypt11 ist nicht installiert.
mpv hängt ab von libgnutls26 (>= 2.12.17-0); aber:
  Paket libgnutls26 ist nicht installiert.
mpv hängt ab von libopenjpeg2; aber:
  Paket libopenjpeg2 ist nicht installiert.
mpv hängt ab von librubberband2; aber:
  Paket librubberband2 ist nicht installiert.
mpv hängt ab von libvpx1 (>= 1.3.0); aber:
  Paket libvpx1:armhf ist nicht installiert.
mpv hängt ab von libx264-142; aber:
  Paket libx264-142:armhf ist nicht installiert.

dpkg: Fehler beim Bearbeiten des Paketes mpv (--install):
Abhängigkeitsprobleme - verbleibt unkonfiguriert
Trigger für desktop-file-utils (0.22-1ubuntu3) werden verarbeitet ...
Trigger für mime-support (3.58ubuntu1) werden verarbeitet ...
Trigger für hicolor-icon-theme (0.15-0ubuntu1) werden verarbeitet ...
Trigger für man-db (2.7.4-1) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
mpv


5

Threads

355

Posts

2089

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
2089
Post time 2015-12-26 21:06:30 | Show all posts
@jacer
If you do a:
sudo ln -s /usr/lib/arm-linux-gnueabihf/vdpau/libvdpau_sunxi.so.1 /usr/lib/libvdpau_nvidia.so


then you don't need anymore to export VDPAU_DRIVER:
export VDPAU_DRIVER=sunxi


@john0815
Which debian version you use and which mpv package you try to install?

Boards:
orangepi plus, olinuxino A20, cubieboard A10, mele A2000 .....

7

Threads

100

Posts

647

Credits

Senior member

Rank: 4

Credits
647
Post time 2015-12-26 22:34:22 | Show all posts

15.10 „Wily Werewolf“

5

Threads

355

Posts

2089

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
2089
Post time 2015-12-27 02:52:26 | Show all posts

PS:

Edited by fritz at 2015-12-26 21:58

Ok, the problem is that MPV 0.13 (my package) was buildet on lubuntu 14.04 and you have 15.10.
Try to compile it:
https://github.com/mpv-player/mp ... r-debian-and-ubuntu
it takes some time but this will build surely a correct package for your system.
Don't forget to remove the broken mpv package before you install the new one.

Before you try to build it from source try to install the mpv package made by @jacer.
I have it uploaded in my shared googledrivefolder:
MPV package by @jacer

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
 Author| Post time 2015-12-27 12:36:08 | Show all posts
john0815 replied at 2015-12-26 15:37
librubberband2 is not found when I want to install it

and
  1. wget http://ftp.us.debian.org/debian/pool/main/g/gnutls28/libgnutls-deb0-28_3.3.19-1_armhf.deb
  2. wget http://ftp.us.debian.org/debian/pool/main/l/lcms2/liblcms2-2_2.6-3+b3_armhf.deb
  3. wget http://ftp.us.debian.org/debian/pool/main/o/openjpeg/libopenjpeg5_1.5.2-3_armhf.deb
  4. wget http://ftp.us.debian.org/debian/pool/main/t/twolame/libtwolame0_0.3.13-1.1_armhf.deb
  5. wget http://ftp.us.debian.org/debian/pool/main/libv/libva/libva-x11-1_1.4.1-1_armhf.deb
  6. wget http://ftp.us.debian.org/debian/pool/main/libv/libva/libva1_1.4.1-1_armhf.deb
  7. wget http://ftp.us.debian.org/debian/pool/main/g/gmp/libgmp10_6.0.0+dfsg-6_armhf.deb
  8. wget http://ftp.us.debian.org/debian/pool/main/n/nettle/libhogweed4_3.1.1-4_armhf.deb
  9. wget http://ftp.us.debian.org/debian/pool/main/n/nettle/libnettle6_3.1.1-4_armhf.deb
  10. wget http://ftp.us.debian.org/debian/pool/main/p/p11-kit/libp11-kit0_0.20.7-1_armhf.deb
  11. wget http://ftp.us.debian.org/debian/pool/main/libt/libtasn1-6/libtasn1-6_4.7-2_armhf.deb
  12. wget http://ftp.us.debian.org/debian/pool/main/s/samba/libsmbclient_4.1.17+dfsg-2_armhf.deb
  13. wget http://ftp.us.debian.org/debian/pool/main/libb/libbsd/libbsd0_0.7.0-2_armhf.deb
  14. wget http://ftp.us.debian.org/debian/pool/main/t/talloc/libtalloc2_2.1.1-2_armhf.deb
  15. wget http://ftp.us.debian.org/debian/pool/main/s/samba/samba-libs_4.1.17+dfsg-2_armhf.deb
  16. wget http://ftp.us.debian.org/debian/pool/main/l/ldb/libldb1_1.1.17-2_armhf.deb
  17. wget http://ftp.us.debian.org/debian/pool/main/n/ntdb/libntdb1_1.0-5_armhf.deb
  18. wget http://ftp.us.debian.org/debian/pool/main/t/tevent/libtevent0_0.9.21-1_armhf.deb
  19. wget http://ftp.us.debian.org/debian/pool/main/s/samba/libwbclient0_4.1.17+dfsg-2_armhf.deb
  20. wget http://ftp.us.debian.org/debian/pool/main/t/talloc/python-talloc_2.1.1-2_armhf.deb
  21. sudo apt-get remove libnettle4
  22. sudo dpkg -i *.deb
Copy the Code
Fix dependency problems.

0

Threads

3

Posts

24

Credits

Novice

Rank: 1

Credits
24
Post time 2017-3-22 14:03:14 | Show all posts
Sir I follow your instruction on how to install libvdpau-sunxi and its completed.. But after i execute mplayer and mpv command the video display position is not align to the border of player.. how to fix this sir.. please help.. I have my Orange Pi Plus 2 with Debian 8 Jessie..
  

8

Threads

608

Posts

4086

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
4086
Post time 2017-3-22 16:03:16 | Show all posts
On Armbian it works out of the box. Ubuntu Xenial legacy desktiop is recommended.

https://www.armbian.com/orange-pi-plus-2/
12Next
Return to list New
You have to log in before you can reply Login | Register

Points Rules

Archiver|Mobile edition|Darkroom|OrangePi En ( 粤ICP备14086627号-2

2019-8-24 16:11 GMT+8 , Processed in 0.036857 second(s), 22 queries .

Powered by Discuz! X3.2

© 2014-2015 orangepibbs en.

Quick Reply To Top Return to the list